# Data

## Methods

---
### flatExists(name: string)
Checks if a flat with the given name exists.
#### Parameters
* name: Flat name to check
#### Return value
`true` if the flat exists, `false` if it doesn't

---
### getFlatInfo(name: string)
Returns an `ImageInfo` object for the given flat name.
#### Parameters
* name: Flat name to get the info for
#### Return value
`ImageInfo` object containing information about the flat

---
### getFlatNames()
Returns an `Array`of all flat names.
#### Return value
`Array` of all flat names

---
### getTextureInfo(name: string)
Returns an `ImageInfo` object for the given texture name.
#### Parameters
* name: Texture name to get the info for
#### Return value
`ImageInfo` object containing information about the texture

---
### getTextureNames()
Returns an `Array` of all texture names.
#### Return value
`Array` of all texture names

---
### textureExists(name: string)
Checks if a texture with the given name exists.
#### Parameters
* name: Texture name to check
#### Return value
`true` if the texture exists, `false` if it doesn't
